Loading...
Searching...
No Matches
openshot::ClipProcessingJobs Class Reference

`#include <ClipProcessingJobs.h>`

## Public Member Functions

void | CancelProcessing ()
| ClipProcessingJobs (std::string processingType, std::string processInfoJson)
bool | GetError ()
std::string | GetErrorMessage ()
int | GetProgress ()
bool | IsDone ()
void | processClip (Clip &clip, std::string json)

## Detailed Description

Definition at line 34 of file ClipProcessingJobs.h.

## Constructor & Destructor Documentation

## ClipProcessingJobs()

openshot::ClipProcessingJobs::ClipProcessingJobs | ( | std::string | processingType,
|  | std::string | processInfoJson )

Definition at line 19 of file ClipProcessingJobs.cpp.

## Member Function Documentation

## CancelProcessing()

void openshot::ClipProcessingJobs::CancelProcessing | ( |  | ) |

Definition at line 118 of file ClipProcessingJobs.cpp.

## GetError()

bool openshot::ClipProcessingJobs::GetError | ( |  | ) |

Definition at line 123 of file ClipProcessingJobs.cpp.

## GetErrorMessage()

std::string openshot::ClipProcessingJobs::GetErrorMessage | ( |  | ) |

Definition at line 128 of file ClipProcessingJobs.cpp.

## GetProgress()

int openshot::ClipProcessingJobs::GetProgress | ( |  | ) |

Definition at line 103 of file ClipProcessingJobs.cpp.

## IsDone()

bool openshot::ClipProcessingJobs::IsDone | ( |  | ) |

Definition at line 109 of file ClipProcessingJobs.cpp.

## processClip()

void openshot::ClipProcessingJobs::processClip | ( | Clip & | clip,
|  | std::string | json )

Definition at line 23 of file ClipProcessingJobs.cpp.

The documentation for this class was generated from the following files:

- ClipProcessingJobs.h
- ClipProcessingJobs.cpp